module ExcelReports
  module AudioReports
    class DiscoveryMusicCueHeaderData
      def initialize(video)
        @video = video
      end

      def title
        video.name
      end

      def company_name
        video.project.producer_name
      end

      def client_name
        video.project.client_name
      end

      def episode_number
        video.number
      end

      private

      attr_reader :video
    end
  end
end
